package net.xuyezo.main;

import net.kyori.adventure.text.Component;
import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.NamespacedKey;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.generator.BiomeProvider;
import org.bukkit.generator.ChunkGenerator;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.ShapedRecipe;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

	@Override
	public void onEnable() {
		Bukkit.getPluginManager().registerEvents(new Handler(), this);

        NamespacedKey key = new NamespacedKey(this, "FlintAxe");
        ItemStack item = new ItemStack(Material.STONE_AXE);

        ShapedRecipe recipe = new ShapedRecipe(key, item);
        recipe.shape("A  ", "B  ", "   ");
        recipe.setIngredient('A', Material.FLINT);
        recipe.setIngredient('B', Material.STICK);

        getServer().addRecipe(recipe);
        
        key = new NamespacedKey(this, "StoneStick");
        item = new ItemStack(Material.STICK,4);
        
        recipe = new ShapedRecipe(key, item);
        recipe.shape("A  ", "A  ", "   ");
        recipe.setIngredient('A', Material.COBBLESTONE);
        
        getServer().addRecipe(recipe);
        
        key = new NamespacedKey(this, "FlintFurnace");
        item = new ItemStack(Material.FURNACE);
        
        recipe = new ShapedRecipe(key, item);
        recipe.shape("AA ", "AB ", "   ");
        recipe.setIngredient('A', Material.COBBLESTONE);
        recipe.setIngredient('B', Material.FLINT_AND_STEEL);
        
        getServer().addRecipe(recipe);

        key = new NamespacedKey(this, "StoneTable");
        item = new ItemStack(Material.CRAFTING_TABLE);
        
        recipe = new ShapedRecipe(key, item);
        recipe.shape("AA ", "AA ", "   ");
        recipe.setIngredient('A', Material.COBBLESTONE);


        key = new NamespacedKey(this, "CobbledStone");
        item = new ItemStack(Material.COBBLESTONE);
        
        recipe = new ShapedRecipe(key, item);
        recipe.shape("AA ", "AA ", "   ");
        recipe.setIngredient('A', Material.GRAVEL);
        
        getServer().addRecipe(recipe);
	}

	@Override
	public BiomeProvider getDefaultBiomeProvider(String worldName, String id) {
		return new Biomer();
	}

	@Override
	public ChunkGenerator getDefaultWorldGenerator(String worldName, String id) {
		return new Generator();
	}
}